from setuptools import setup, find_packages

setup(
    name="ssquant",
    version="0.2.2",
    packages=find_packages(),
    install_requires=[
        "pandas>=1.0.0",
        "numpy>=1.18.0",
        "matplotlib>=3.3.0",
        "requests>=2.25.0",
        "scipy>=1.6.0",
        "pillow>=8.0.0",
        "openpyxl>=3.0.0",
        "joblib>=1.0.0",
        "scikit-optimize>=0.8.0",
        "py7zr>=0.16.0",
        "pytz>=2020.0",
        "tqdm>=4.50.0",
    ],
    extras_require={
        'full': [
            "scikit-learn>=1.0.0",
            "plotly>=5.0.0",
            "statsmodels>=0.12.0",
            "numpy-financial>=1.0.0",
        ],
        'dev': [
            "pytest>=6.0.0",
            "black>=20.8b1",
            "flake8>=3.8.0",
            "sphinx>=4.0.0",
        ]
    },
    python_requires=">=3.7",
    author="松鼠Quant",
    author_email="339093103@qq.com",
    description="松鼠Quant量化交易回测系统",
    long_description=open("README.md", "r", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    keywords="quantitative, trading, backtest, futures, stocks",
    url="https://github.com/songshuquant/ssquant",
    include_package_data=True,
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Financial and Insurance Industry",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Topic :: Office/Business :: Financial :: Investment",
        "License :: OSI Approved :: MIT License",
    ],
) 